gpu-itb: 
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-gpu-sites-itb.yaml make-dags --submit-dags"
      cron_hour: "*/12"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.itb-test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "gpu-burn"
        submit-description:
          universe: "vanilla"
          executable: "/opt/bin/cupy_burn"
          arguments: "1800 100"
          should_transfer_files: "YES"
          transfer_executable: "False"
          #MY.SingularityImage:  "/cvmfs/singularity.opensciencegrid.org/computing/distributed/igwn-pool-exorciser/gpu_burn:latest"
          MY.SingularityImage:  "./cupy_burn-2024-07-19_12-37-07.sif"
          transfer_input_files: "igwn+osdf:///igwn/cit/staging/james.clark/gpu-check/cupy_burn-2024-07-19_12-37-07.sif"
          use_oauth_services: "igwn"
          environment:  "CUPY_CACHE_IN_MEMORY=0 CUPY_CACHE_DIR=$$(CondorScratchDir)/.cupy/kernel_cache"
          request_cpus: "1"
          request_memory: "2 GB"
          request_disk: "2 GB"
          request_gpus: "1"
          #require_gpus: "Capability >= 3.5"
          requirements: "IS_GLIDEIN && HAS_SINGULARITY"
          MY.is_itb: "True"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.itb-test"
          MY.flock_local: "False"
          MY.PoolExorciser: "True"
          MY.DESIRED_Sites: "$(DESIRED_Sites)"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
    dag:
      plugin: "heartbeats"
      mode: "gpu"
      sites: "any"
      njobs: 10
